> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Initiate Deposit



## OpenAPI

````yaml /openapi.json post /customers/me/deposit
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /customers/me/deposit:
    post:
      tags:
        - Customers
      summary: Customer Initiate Deposit
      operationId: customer_initiate_deposit_customers_me_deposit_post
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerDepositResponse'
components:
  schemas:
    CustomerDepositResponse:
      properties:
        transaction_id:
          type: string
          format: uuid
          title: Transaction Id
        gateway:
          type: string
          title: Gateway
        gateway_type:
          type: string
          title: Gateway Type
        currency:
          type: string
          title: Currency
        cashier_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Cashier Token
        cashier_session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cashier Session Id
        cashier_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Cashier Key
        script_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Script Url
        cashier_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cashier Url
        cashier_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cashier Id
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
      type: object
      required:
        - transaction_id
        - gateway
        - gateway_type
        - currency
      title: CustomerDepositResponse
      description: >-
        Returned after initiating a deposit — contains cashier iframe/redirect
        config.

````